{
  "name": "cally",
  "main": "expo-router/entry",
  "version": "1.0.0",
  "scripts": {
    "start": "expo start",
    "reset-project": "node ./scripts/reset-project.js",
    "android": "expo run:android",
    "ios": "TAMAGUI_TARGET=native npx expo run:ios",
    "ios-native": "TAMAGUI_TARGET=native npx expo run:ios --device",
    "dev-ios": "TAMAGUI_TARGET=native npx eas-cli build --profile development --platform ios",
    "dev-android": "TAMAGUI_TARGET=native npx eas-cli build --profile development --platform android",
    "build-ios": "TAMAGUI_TARGET=native npx eas-cli build --profile production --platform ios",
    "build-android": "TAMAGUI_TARGET=native npx eas-cli build --profile production --platform android",
    "build-apk": "TAMAGUI_TARGET=native eas build -p android --profile preview",
    "build-cicd": "TAMAGUI_TARGET=native npx eas-cli build --profile production --platform all --non-interactive --no-wait --auto-submit ",
    "build-ios-cicd": "TAMAGUI_TARGET=native npx eas-cli build --profile production --platform ios --non-interactive --no-wait --auto-submit ",
    "build-dev-ios": "TAMAGUI_TARGET=native npx eas-cli build --profile development --platform ios",
    "web": "expo start --web",
    "test": "jest --watchAll",
    "lint": "expo lint",
    "submit": "npx eas-cli submit -p ios",
    "prebuild": "npx expo prebuild -p ios",
    "prebuild-build-submit-ios": "yarn run prebuild && yarn run build-ios  && yarn run submit",
    "prebuild-build-submit-ios-cicd": "yarn build-ios-cicd",
    "prebuild-build-submit-cicd": "yarn build-cicd",
    "postinstall": "patch-package",
    "functions-deploy": "cd firebase/functions && firebase deploy --only functions"
  },
  "jest": {
    "preset": "jest-expo"
  },
  "dependencies": {
    "@expo-google-fonts/manrope": "^0.2.3",
    "@expo-google-fonts/plus-jakarta-sans": "^0.2.3",
    "@expo-google-fonts/poppins": "^0.2.3",
    "@expo/vector-icons": "^14.0.2",
    "@react-native-community/blur": "^4.4.0",
    "@react-native-community/datetimepicker": "8.0.1",
    "@react-native-firebase/app": "^20.3.0",
    "@react-native-firebase/auth": "^20.3.0",
    "@react-native-firebase/crashlytics": "^20.3.0",
    "@react-native-firebase/firestore": "^20.4.0",
    "@react-native-firebase/functions": "^20.4.0",
    "@react-native-firebase/storage": "^20.4.0",
    "@react-native-menu/menu": "^1.1.6",
    "@react-navigation/drawer": "^6.7.2",
    "@react-navigation/native": "^6.0.2",
    "date-fns": "^3.6.0",
    "debounce": "^2.1.1",
    "expo": "~51.0.38",
    "expo-app-loading": "^2.1.1",
    "expo-apple-authentication": "~6.4.2",
    "expo-auth-session": "^5.5.2",
    "expo-barcode-scanner": "~13.0.1",
    "expo-build-properties": "~0.12.4",
    "expo-cached-image": "^51.0.19",
    "expo-calendar": "~13.0.5",
    "expo-camera": "~15.0.16",
    "expo-constants": "~16.0.2",
    "expo-dev-client": "~4.0.28",
    "expo-device": "~6.0.2",
    "expo-font": "~12.0.10",
    "expo-image-picker": "~15.0.7",
    "expo-linking": "~6.3.1",
    "expo-localization": "~15.0.3",
    "expo-notifications": "~0.28.19",
    "expo-router": "~3.5.20",
    "expo-screen-orientation": "~7.0.5",
    "expo-splash-screen": "~0.27.6",
    "expo-status-bar": "~1.12.1",
    "expo-system-ui": "~3.0.7",
    "expo-updates": "~0.25.27",
    "expo-web-browser": "~13.0.3",
    "firebase-admin": "^12.3.1",
    "firebase-functions": "^5.1.0",
    "fuzzysort": "^3.0.2",
    "jotai": "^2.9.1",
    "patch-package": "^8.0.0",
    "react": "18.2.0",
    "react-dom": "18.2.0",
    "react-native": "0.74.5",
    "react-native-app-auth": "^8.0.0",
    "react-native-big-calendar": "^4.15.1",
    "react-native-calendars": "^1.1306.0",
    "react-native-element-dropdown": "^2.12.2",
    "react-native-gesture-handler": "~2.16.1",
    "react-native-gifted-charts": "^1.4.41",
    "react-native-keyboard-manager": "^6.5.16-0",
    "react-native-linear-gradient": "^2.8.3",
    "react-native-onboarding-swiper": "^1.3.0",
    "react-native-qrcode-svg": "^6.3.2",
    "react-native-reanimated": "~3.10.1",
    "react-native-safe-area-context": "4.10.5",
    "react-native-screens": "3.31.1",
    "react-native-svg": "15.2.0",
    "react-native-svg-icon": "^0.10.0",
    "react-native-toast-message": "^2.2.1",
    "react-native-ui-lib": "^7.27.0",
    "react-native-web": "~0.19.10",
    "react-query": "^3.39.3",
    "timezonecomplete": "^5.13.1",
    "tzdata": "^1.0.42"
  },
  "resolutions": {
    "@react-native/assets-registry": "0.74.83"
  },
  "devDependencies": {
    "@babel/core": "^7.20.0",
    "@types/jest": "^29.5.12",
    "@types/react": "~18.2.45",
    "@types/react-native-onboarding-swiper": "^1.1.9",
    "@types/react-test-renderer": "^18.0.7",
    "babel-plugin-module-resolver": "^5.0.2",
    "jest": "^29.2.1",
    "jest-expo": "~51.0.3",
    "postinstall-postinstall": "^2.1.0",
    "react-test-renderer": "18.2.0",
    "typescript": "~5.3.3"
  },
  "private": true
}
